%global realname gen_leader
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0
Release:	0.3%{?dist}
Summary:	A leader election behavior modeled after gen_server
Group:		Development/Libraries
License:	ERPL
URL:		http://github.com/KirinDave/gen_leader_revival
Source0:	http://github.com/KirinDave/gen_leader_revival/raw/master/combined_version/gen_leader.erl
Source1:	http://github.com/KirinDave/gen_leader_revival/raw/master//README.markdown
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel >= R12B-5
Requires:	erlang-stdlib >= R12B-5

%description
This application implements a leader election behavior modeled after gen_server.
This behavior intends to make it reasonably straightforward to implement a fully
distributed server with master-slave semantics.


%prep
%setup -q -T -c -n %{realname}-%{version}
mkdir ebin
cp %{SOURCE0} .
cp %{SOURCE1} README


%build
erlc +debug_info -o ebin %{realname}.erl


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct  4 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2
- Added README file to suppress one rpmlint warning
- Ensured that package is built with debig info

* Thu Sep 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1
- Initial package

